En seulement une semaine depuis la sortie de WordPress 5.5, le Activer jQuery Migrate Helper Le plugin a passé 10 000 installations actives, alors que les utilisateurs recherchent un correctif pour les sites endommagés. Le plugin a été développé par l’équipe WordPress Core pour atténuer les problèmes liés à jQuery que les utilisateurs peuvent rencontrer après la mise à jour vers la version 5.5. WordPress a supprimé jQuery Migrate 1.4.1, mais de nombreux thèmes et plugins sont désormais cassés car ils utilisent des fonctions jQuery obsolètes / obsolètes qui reposaient sur le script.

Les forums de support officiels sont inondés de rapports de sites endommagés après la mise à jour vers la version 5.5, car la plupart des utilisateurs qui ne suivent pas le développement de base ne savent pas que jQuery Migrate est obsolète. Comme il est lié à jQuery, de nombreux sites présentent des problèmes très visibles ou des fonctionnalités défectueuses qui empêchent les utilisateurs de faire des choses comme afficher et modifier du contenu. Ceux qui utilisent encore l’éditeur classique ont été particulièrement le plus durement touché par la mise à jour 5.5, car les plugins plus anciens qui se connectent à l’ancien éditeur sont plus susceptibles d’utiliser des fonctions jQuery obsolètes.

Le plug-in Enable jQuery Migrate Helper a accumulé 34 critiques cinq étoiles, car il résout instantanément les problèmes de la plupart des utilisateurs:

«Après la mise à jour vers la version 5.5, mes images de curseur de héros ont disparu et ce plugin a immédiatement résolu le problème.»

«Après la mise à jour vers WordPress 5.5, j’ai modifié une page de publication et plusieurs autres choses ont fini par se casser malgré la mise à jour de tous les plugins et de mon thème. Ce plugin a résolu mon problème! »

«En tant que journal, ne pas pouvoir voir le contenu de nos articles est un gros problème. Cela l’a corrigé. Je vous remercie. »

Le plugin donne aux utilisateurs le temps de déterminer quels thèmes ou plugins sont à l’origine des problèmes et demande aux auteurs de ces extensions de les mettre à jour pour une compatibilité avec la dernière version de WordPress.

Un utilisateur, David Halchester, a signalé un problème avec un menu de navigation qui disparaît sur les forums d’assistance avant de découvrir le plugin Enable jQuery Migrate Helper.

«Voila», dit Halchester dans son la revue. «Cela a fonctionné comme par magie. Ma belle page personnalisée fonctionne à nouveau. Cela dit, si WP ne veut pas perdre de clients, il doit s’assurer que ses mises à jour sont compatibles avec les sites plus anciens.

«Merci aux personnes qui ont créé ce plug-in. Je viens de m’économiser environ 300 $ ou plus en frais pour que quelqu’un «répare» le problème. »

Il fait un point solide sur le plugin qui permet aux utilisateurs d’économiser de l’argent qui aurait pu autrement être remis aux développeurs pour résoudre le problème. Pour ceux qui découvrent le plugin comme solution, cela ne leur coûte que du temps et de la frustration de demander de l’aide à leur société d’hébergement ou à des bénévoles sur les forums de support. D’autres qui ne seront peut-être pas aussi persistants devront probablement payer pour un dépannage professionnel.

Justin Tadlock a publié un Publier la semaine dernière, qui décrit le plan en trois étapes de WordPress pour mettre à jour jQuery vers la dernière version. Le plan décrit comment une nouvelle version de jQuery Migrate sera ajoutée à WordPress 5.6 pour aider les utilisateurs à mettre à jour de jQuery 1.12.4 à 3.5.1 (ou version ultérieure). Le plan provisoire est de supprimer à nouveau le script dans WordPress 5.7, ce qui est prévu en 2021.

En attendant, le plugin Enable jQuery Migrate Helper fonctionne comme un pansement temporaire. En ce qui concerne la perspective des mises à jour automatiques d’activation pour les principales versions de Core, qui devraient atterrir dans WordPress 5.6, il sera important de considérer l’ampleur de ces changements de rupture sur le chemin de la mise à jour de jQuery, en particulier pour ceux raccrocher avec le plugin Classic Editor.


Source link